import 'package:dart_prompter_tavorn/src/option.dart';
import 'terminal.dart';

final Terminal _terminal = const Terminal();

class Prompter {
  bool askBinary(String prompt) {
    final input = _ask('$prompt (y/n)', []);
//    _terminal.clearScreen();
//    _terminal.printPrompt('$prompt (y/n)');
//    _terminal.printOptions([]);
//
//    final input = _terminal.collectInput();

    return input.contains('y');
  }
//  Terminal terminal = new Terminal();
  askMultiple(String prompt, List<Option> options){
//    var terminal = new Terminal();
//    _terminal.clearScreen();
//    _terminal.printPrompt(prompt);
//    _terminal.printOptions(options);
    final input = _ask(prompt, options);

    //   final input = _terminal.collectInput();

    try {
      return options[int.parse(input)].value;
    } catch (err) {
      return askMultiple(prompt, options);
    }
  }

  String _ask(String prompt, List<Option> options) {
    _terminal.clearScreen();
    _terminal.printPrompt(prompt);
    _terminal.printOptions(options);

    return _terminal.collectInput();
  }
}
